## dde-file-manager 6.5.10.4

=== tests/CMakeLists.txt ===
# 定义需要的cmake版本
cmake_minimum_required(VERSION 3.10)

# 设置工程名字
project(ut-file-manager)

#if no debug, can't out in code define key '__FUNCTION__' and so on
add_definitions(-DQT_MESSAGELOGCONTEXT)

if(CMAKE_VERSION VERSION_LESS "3.7.0")
    set(CMAKE_INCLUDE_CURRENT_DIR ON)
endif()

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(PROJECT_INCLUDE_PATH "${CMAKE_SOURCE_DIR}/include")
set(PROJECT_SOURCE_PATH "${CMAKE_SOURCE_DIR}/src")
include_directories(${PROJECT_SOURCE_PATH})

# UT依赖
find_package(GTest REQUIRED)
include_directories(${GTEST_INCLUDE_DIRS})
link_libraries(${GTEST_LIBRARIES} pthread stdc++fs)

# defines to determind whether to show invoke log at stub function.
add_definitions(-DDEBUG_STUB_INVOKE)

# 打桩工具
set(TEST_UTILS_PATH "${CMAKE_SOURCE_DIR}/3rdparty/testutils")
file(GLOB CPP_STUB_SRC "${TEST_UTILS_PATH}/cpp-stub/*.h"
    "${TEST_UTILS_PATH}/cpp-stub/*.hpp"
    "${TEST_UTILS_PATH}/stub-ext/*.h"
    "${TEST_UTILS_PATH}/stub-ext/*.cpp")
include_directories("${TEST_UTILS_PATH}/cpp-stub"
    "${TEST_UTILS_PATH}/stub-ext")

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set (CMAKE_VERBOSE_MAKEFILE ON)
    add_compile_definitions(ENABLE_TSAN_TOOL)
    message("debug type open sanitize check")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=undefined,address,leak -fno-omit-frame-pointer")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=undefined,address,leak -fno-omit-frame-pointer")
    set(CMAKE_L_FLAGS "${CMAKE_L_FLAGS} -fsanitize=undefined,address,leak -fno-omit-frame-pointer")

    #    set(CMAKE_CXX_FLAGS "-fsanitize=thread")
    #    set(CMAKE_C_FLAGS "-fsanitize=thread")
    #    set(CMAKE_L_FLAGS "-fsanitize=thread")
endif()

# 用于测试覆盖率的编译条件
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wl,--as-needed")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-inline -fno-access-control -O0 -fprofile-arcs -ftest-coverage -lgcov")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DQT_DEBUG")

add_subdirectory(apps)
add_subdirectory(dfm-base)
add_subdirectory(dfm-extension)
add_subdirectory(dfm-framework)
add_subdirectory(external)
add_subdirectory(plugins)
add_subdirectory(tools)

=== examples/dfm-extension-example/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

# 设置项目名称
project(dfm-extension-example)

set(CMAKE_CXX_STANDARD 17)

# 只需要依赖 dfm-extension
find_package(dfm-extension REQUIRED)


# 扩展插件源码
file(GLOB_RECURSE SRCS CONFIGURE_DEPENDS
    "./*.h"
    "./*.cpp"
)

# 生成共享库
add_library(${PROJECT_NAME} SHARED ${SRCS})

# 链接 dfm-extension
target_link_libraries(${PROJECT_NAME}
    PUBLIC ${dfm-extension_LIBRARIES}
    )

# 安裝配置
include(GNUInstallDirs)
if(NOT DEFINED LIB_INSTALL_DIR)
    set(LIB_INSTALL_DIR ${CMAKE_INSTALL_FULL_LIBDIR})
endif()

if(NOT DEFINED DFM_EXT_PLUGIN_DIR)
    set(DFM_EXT_PLUGIN_DIR ${LIB_INSTALL_DIR}/dde-file-manager/plugins/extensions)
endif()

# 安裝插件
install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${DFM_EXT_PLUGIN_DIR})

=== src/dfm-base/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# If do't define version number, specify the version number
set (VERSION "1.0.0" CACHE STRING "define project version")

if (NOT VERSION)
    set(VERSION "1.0.0")
endif()

if (NOT PROJECT_VERSION_MAJOR)
    set(PROJECT_VERSION_MAJOR 1)
endif()

# Disbale qDebug(), qInfo(), qWaring(), qCritical()
# Use qCDebug() instead of qDebug()
if(OPT_DISABLE_QDEBUG)
    add_definitions(-DDFM_DISABLE_DEBUG_MACRO)
endif()

# signals and slots keyword is disable, use Q_SIGNALS and Q_SLOTS instead
add_compile_definitions(QT_NO_SIGNALS_SLOTS_KEYWORDS)
add_compile_definitions(THUMBNAIL_TOOL_DIR="${DFM_THUMBNAIL_TOOL}")

# find source code
file(GLOB_RECURSE INCLUDE_FILES CONFIGURE_DEPENDS "${PROJECT_SOURCE_DIR}/include/dfm-base/*")
file(GLOB_RECURSE SRCS CONFIGURE_DEPENDS
    "./*.h"
    "./*.hpp"
    "./*.cpp"
)

# add qrc resources
set(QRC_FILES
    qrc/skin/skin.qrc
    qrc/skin/filemanager.qrc
    qrc/themes/themes.qrc
    qrc/configure.qrc
    qrc/resources/resources.qrc
    qrc/chinese2pinyin/chinese2pinyin.qrc
)

include(dfm-base-qt5.cmake)

# Qt6
if (DFM_BUILD_WITH_QT6)
include(dfm-base-qt6.cmake)
endif()

# install resources files
set(AssetsPath ${PROJECT_SOURCE_DIR}/assets)

FILE(GLOB SCHEMA_FILES ${AssetsPath}/gschema/*)
install(FILES ${SCHEMA_FILES} DESTINATION share/glib-2.0/schemas)
install(CODE "execute_process(COMMAND glib-compile-schemas ${CMAKE_INSTALL_PREFIX}/share/glib-2.0/schemas)")

set(DLNFS_SCRIPT ${AssetsPath}/scripts/dfm-dlnfs-automount)
install(FILES ${DLNFS_SCRIPT} DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/deepin/dde-file-manager)

set(DLNFS_SCRIPT_LAUNCHER ${AssetsPath}/scripts/99dfm-dlnfs-automount)
install(FILES ${DLNFS_SCRIPT_LAUNCHER} DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/X11/Xsession.d)

set(DFM_DLNFS_SCRIPT_LAUNCHER
    ${AssetsPath}/scripts/dde-file-manager
    ${AssetsPath}/scripts/file-manager.sh)
install(PROGRAMS ${DFM_DLNFS_SCRIPT_LAUNCHER} DESTINATION bin)

set(Mimetypes "${ShareDir}/mimetypes")
FILE(GLOB MIMETYPE_FILES ${AssetsPath}/mimetypes/*)
install(FILES ${MIMETYPE_FILES} DESTINATION ${Mimetypes})

set(MimetypeAssociations "${ShareDir}/mimetypeassociations")
FILE(GLOB MIMETYPEASSOCIATIONS_FILES ${AssetsPath}/mimetypeassociations/*)
install(FILES ${MIMETYPEASSOCIATIONS_FILES} DESTINATION ${MimetypeAssociations})

set(Templates "${ShareDir}/templates")
FILE(GLOB TEMPLATES_FILES ${AssetsPath}/templates/*)
install(FILES ${TEMPLATES_FILES} DESTINATION ${Templates})

set(OemMenuDir "${CMAKE_INSTALL_PREFIX}/share/deepin/dde-file-manager/oem-menuextensions")
install(FILES ${AssetsPath}/.readme DESTINATION ${OemMenuDir})

set(ContexMenuDir "${CMAKE_INSTALL_PREFIX}/share/applications/context-menus")
install(FILES ${AssetsPath}/.readme DESTINATION ${ContexMenuDir})

# log viewer
set(LogViewerConfDir "${CMAKE_INSTALL_PREFIX}/share/deepin-log-viewer/deepin-log.conf.d")
install(FILES ${AssetsPath}/log/viewer/dde-file-manager.json DESTINATION ${LogViewerConfDir})

# log debug
set(LogDebugConfDir "${CMAKE_INSTALL_PREFIX}/share/deepin-debug-config/deepin-debug-config.d")
install(FILES ${AssetsPath}/log/debug/org.deepin.file-manager.json DESTINATION ${LogDebugConfDir})

INSTALL_DCONFIG("org.deepin.dde.file-manager.json")
INSTALL_DCONFIG("org.deepin.dde.file-manager.plugins.json")
INSTALL_DCONFIG("org.deepin.dde.file-manager.view.json")
INSTALL_DCONFIG("org.deepin.dde.file-manager.animation.json")

=== src/dfm-framework/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# If do't define version number, specify the version number
set (VERSION "1.0.0" CACHE STRING "define project version")

# find source code
file(GLOB_RECURSE INCLUDE_FILES  CONFIGURE_DEPENDS "${PROJECT_SOURCE_DIR}/include/dfm-framework/*")
file(GLOB_RECURSE SRCS CONFIGURE_DEPENDS
    "./*.h"
    "./*.cpp"
)

include(dfm-framework-qt5.cmake)

# Qt6
if (DFM_BUILD_WITH_QT6)
include(dfm-framework-qt6.cmake)
endif()

=== src/dfm-gui/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# If do't define version number, specify the version number
set (VERSION "1.0.0" CACHE STRING "define project version")

set(BIN_NAME dfm-gui)

if (NOT VERSION)
    set(VERSION "1.0.0")
endif()

if (NOT PROJECT_VERSION_MAJOR)
    set(PROJECT_VERSION_MAJOR 1)
endif()

# signals and slots keyword is disable, use Q_SIGNALS and Q_SLOTS instead
add_compile_definitions(QT_NO_SIGNALS_SLOTS_KEYWORDS)
add_compile_definitions(THUMBNAIL_TOOL_DIR="${DFM_THUMBNAIL_TOOL}")

# add qrc resources
set(QRC_FILES)

if(DFM_BUILD_WITH_QT6)
    qt_add_resources(QRC_RESOURCES ${QRC_FILES})
else()
    qt5_add_resources(QRC_RESOURCES ${QRC_FILES})
endif()

# add code
file(GLOB_RECURSE INCLUDE_FILES CONFIGURE_DEPENDS "${PROJECT_SOURCE_DIR}/include/${BIN_NAME}/*")
file(GLOB_RECURSE SRCS CONFIGURE_DEPENDS
    "./*.h"
    "./*.hpp"
    "./*.cpp"
)

# add depends
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Quick REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Concurrent REQUIRED)

# for generating middle source files of SettingsTemplate to translate.
set(TRANS_OF_SETTINGS_CPP)
set (DTK_SETTINGS_TOOLS_EXECUTABLE ${DTKCORE_TOOL_DIR}/dtk-settings)
if (EXISTS ${DTK_SETTINGS_TOOLS_EXECUTABLE})
    FILE (GLOB SETTING_TEMPALTE_FILES
        "${CMAKE_CURRENT_SOURCE_DIR}/qrc/configure/*.js")

    foreach(temp ${SETTING_TEMPALTE_FILES})
#        message("---- found template: ${temp}")
        string(REPLACE ".js" "-trans.cpp" TARGET_CPP ${temp})
#        message("---- convert to ${TARGET_CPP}")
        execute_process(COMMAND ${DTK_SETTINGS_TOOLS_EXECUTABLE} ${temp} -o ${TARGET_CPP})

        string(REPLACE "/" ";" PATH_FRAGS ${TARGET_CPP})
        list(GET PATH_FRAGS -1 FUNC_NAME)
        string(REPLACE ".cpp" "" FUNC_NAME ${FUNC_NAME})
        string(REPLACE "-" "_" FUNC_NAME ${FUNC_NAME})
        execute_process(COMMAND sed -i "5s/GenerateSettingTranslate/${FUNC_NAME}/" ${TARGET_CPP})

        list(APPEND TRANS_OF_SETTINGS_CPP ${TARGET_CPP})
    endforeach()

#    message(">>>> cpp source files for translating are generated: ${TRANS_OF_SETTINGS_CPP}")
    list(APPEND TRANS_OF_SETTINGS_CPP
        ${CMAKE_CURRENT_SOURCE_DIR}/qrc/configure/global-setting-template-manully-trans.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/qrc/configure/global-setting-template-dfmio-trans.cpp)
endif()

# build
add_library(${BIN_NAME}
    SHARED
    ${QRC_RESOURCES}
    ${INCLUDE_FILES}
    ${SRCS}
)

target_link_libraries(${BIN_NAME} PUBLIC
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Quick
    Qt${QT_VERSION_MAJOR}::Concurrent
    DFM::base
)

target_include_directories(${BIN_NAME} PUBLIC
    ${PROJECT_SOURCE_DIR}/include
    ${CMAKE_CURRENT_SOURCE_DIR}/..
    )

set(ShareDir ${CMAKE_INSTALL_PREFIX}/share/dde-file-manager) # also use for install
target_compile_definitions(
    ${BIN_NAME}
    PRIVATE
    APPSHAREDIR="${ShareDir}"
)

add_library(DFM::gui ALIAS ${BIN_NAME})

set_target_properties(${BIN_NAME} PROPERTIES
    VERSION ${VERSION}
    SOVERSION ${PROJECT_VERSION_MAJOR}
)

# install library file
install(TARGETS ${BIN_NAME} LIBRARY DESTINATION  ${LIB_INSTALL_DIR})
# install header files
install(DIRECTORY
    ${PROJECT_SOURCE_DIR}/include/${BIN_NAME}
    DESTINATION include
    FILES_MATCHING PATTERN "*.h"
)

# for pc file config
set(PC_LIBS_PRIVATE Qt${QT_VERSION_MAJOR}Core)
set(PC_REQ_PRIVATE)
set(PC_REQ_PUBLIC)

# config pkgconfig file
configure_file(${PROJECT_SOURCE_DIR}/assets/dev/${BIN_NAME}/${BIN_NAME}.pc.in ${BIN_NAME}.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BIN_NAME}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

# config cmake file
configure_file(${PROJECT_SOURCE_DIR}/assets/dev/${BIN_NAME}/${BIN_NAME}Config.cmake.in ${BIN_NAME}Config.cmake @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BIN_NAME}Config.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${BIN_NAME})

=== src/external/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

add_subdirectory(dde-dock-plugins)

if (DFM_BUILD_WITH_QT6)
    add_subdirectory(dde-shell-plugins)
endif()

=== src/services/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

add_subdirectory(accesscontrol)
add_subdirectory(sharecontrol)
add_subdirectory(anything)
add_subdirectory(mountcontrol)

=== tests/apps/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

add_subdirectory(dde-desktop)
add_subdirectory(dde-file-manager)
add_subdirectory(dde-file-manager-daemon)
add_subdirectory(dde-file-manager-server)

=== tests/dfm-base/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(test-dfm-base)

set(HeaderPath ${PROJECT_INCLUDE_PATH}/dfm-base/)
set(SourcePath ${PROJECT_SOURCE_PATH}/dfm-base/)

add_compile_definitions(APPSHAREDIR="/usr/share/dde-file-manager")

# UT文件
file(GLOB_RECURSE UT_CXX_FILE
    FILES_MATCHING PATTERN "*.cpp" "*.h")
file(GLOB_RECURSE HEADER_FILES
    FILES_MATCHING PATTERN "${HeaderPath}/*.h"  "${HeaderPath}/*.hpp")
file(GLOB_RECURSE SRC_FILES
    FILES_MATCHING PATTERN "${SourcePath}/*.cpp" "${SourcePath}/*.h" "${SourcePath}/*.hpp")

find_package(Qt5 COMPONENTS Widgets REQUIRED)
find_package(Qt5 COMPONENTS Concurrent REQUIRED)
find_package(Qt5 COMPONENTS DBus REQUIRED)
find_package(Qt5 COMPONENTS Sql REQUIRED)
find_package(Dtk COMPONENTS Widget REQUIRED)
find_package(Qt5 COMPONENTS X11Extras REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(KF5Codecs REQUIRED)
find_package(X11 REQUIRED)
find_package(Dtk COMPONENTS Widget REQUIRED)

pkg_search_module(libmount REQUIRED mount IMPORTED_TARGET)
pkg_search_module(dfm-burn REQUIRED dfm-burn IMPORTED_TARGET)
pkg_search_module(dfm-io REQUIRED dfm-io IMPORTED_TARGET)
pkg_search_module(dfm-mount REQUIRED dfm-mount IMPORTED_TARGET)
pkg_search_module(gsettings REQUIRED gsettings-qt IMPORTED_TARGET)
pkg_search_module(Dtk REQUIRED dtkcore IMPORTED_TARGET)
pkg_check_modules(PC_XCB REQUIRED xcb)

set(XCB_INCLUDE_DIRS ${PC_XCB_INCLUDE_DIRS})
set(XCB_LIBRARIES ${PC_XCB_LIBRARIES})
set(XCB_DEFINITIONS ${PC_XCB_CFLAGS_OTHER})

include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(XCB DEFAULT_MSG XCB_LIBRARIES XCB_INCLUDE_DIRS)

qt5_add_dbus_interface(SRC_FILES ${DFM_DBUS_XML_DIR}/org.deepin.filemanager.server.DeviceManager.xml devicemanager_interface)

add_executable(${PROJECT_NAME}
    ${HEADER_FILES}
    ${SRC_FILES}
    ${UT_CXX_FILE}
    ${CPP_STUB_SRC}
)

target_include_directories(${PROJECT_NAME} PUBLIC
    ${PROJECT_INCLUDE_PATH}
    ${SourcePath}
    ${DtkWidget_INCLUDEDIRS}
    ${Qt5Widgets_PRIVATE_INCLUDE_DIRS})

target_link_libraries(${PROJECT_NAME} PRIVATE
    Qt5::Widgets
    Qt5::Concurrent
    Qt5::DBus
    Qt5::X11Extras
    Qt5::Sql
    PkgConfig::dfm-io
    PkgConfig::dfm-burn
    PkgConfig::dfm-mount
    PkgConfig::gsettings
    PkgConfig::libmount
    poppler-cpp
    KF5::Codecs
    ${DtkWidget_LIBRARIES}
    ${X11_LIBRARIES}
    ${XCB_LIBRARIES}
    xcb-xfixes
)

add_test(
  NAME dfm-base
  COMMAND $<TARGET_FILE:${PROJECT_NAME}>
)

=== src/apps/dde-file-dialog-wayland/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# Compatibility history issues, GTK check app name
project(dde-select-dialog-wayland)

configure_file(
    "../config.h.in"
    "${CMAKE_CURRENT_BINARY_DIR}/config.h"
    )

set(SRCS
    main.cpp
)

find_package(Qt5 COMPONENTS Core)
add_executable(${PROJECT_NAME} ${SRCS})

target_link_libraries(
    ${PROJECT_NAME}
    DFM::base
    DFM::framework
)

install(TARGETS ${PROJECT_NAME} DESTINATION bin)
install(FILES data/com.deepin.filemanager.filedialog_wayland.service DESTINATION share/dbus-1/services)

=== src/apps/dde-file-dialog/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(dde-file-dialog)

configure_file(
    "../config.h.in"
    "${CMAKE_CURRENT_BINARY_DIR}/config.h"
    )

set(SRCS
    main.cpp
)

find_package(Qt5 COMPONENTS Core)
add_executable(${PROJECT_NAME} ${SRCS})

target_link_libraries(
    ${PROJECT_NAME}
    DFM::base
    DFM::framework
)

install(TARGETS ${PROJECT_NAME} DESTINATION bin)
install(FILES data/com.deepin.filemanager.filedialog.service DESTINATION share/dbus-1/services)

=== src/plugins/daemon/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

add_subdirectory(core/daemonplugin-core)
add_subdirectory(daemonplugin-filemanager1)
add_subdirectory(daemonplugin-tag)
add_subdirectory(daemonplugin-vault)
add_subdirectory(daemon-recentdaemon)

=== debian/changelog ===
dde-file-manager (6.5.10.4) unstable; urgency=medium

  * fix log initialization bug due to incorrect startup order
  * fix adjust size calculation for symbolic links in file statistics

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 21 Feb 2025 17:22:59 +0800

dde-file-manager (6.5.10.3) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 07 Feb 2025 10:27:05 +0800

dde-file-manager (6.5.10.2) unstable; urgency=medium

  * fix bugs

 -- Zhang Sheng <zhangsheng@uniontech.com>  Mon, 23 Dec 2024 17:10:08 +0800

dde-file-manager (6.5.10.1) unstable; urgency=medium

  * update to 6.5.10.1

 -- liuyangming <liuyangming@uniontech.com>  Sat, 07 Dec 2024 16:46:52 +0800

dde-file-manager (6.5.10) unstable; urgency=medium

  [ zhangsheng ]
  * desktop adapt to Qt6.8

  [ XuShitong ]
  * fix AbstractBaseView ABI issue.

 -- XuShitong <xushitong@uniontech.com>  Fri, 22 Nov 2024 13:35:06 +0800

dde-file-manager (6.5.9) unstable; urgency=medium

  * fix dav mount issue.
  * 

 -- XuShitong <xushitong@uniontech.com>  Fri, 15 Nov 2024 13:11:25 +0800

dde-file-manager (6.5.8) unstable; urgency=medium

  * fix some bugs 
  * dav/nfs supported

 -- zhangsheng <zhangsheng@uniontech.com>  Fri, 08 Nov 2024 13:41:17 +0800

dde-file-manager (6.5.7) unstable; urgency=medium

  * fix some bugs
  * 

 -- liuyangming <liuyangming@uniontech.com>  Sat, 12 Oct 2024 14:04:10 +0800

dde-file-manager (6.5.6) unstable; urgency=medium

  * fix some bugs

 -- zhangsheng <zhangsheng@uniontech.com>  Fri, 11 Oct 2024 16:18:07 +0800

dde-file-manager (6.5.5) unstable; urgency=medium

  * update version to 6.5.5
  * 

 -- liuyangming <liuyangming@uniontech.com>  Thu, 26 Sep 2024 17:35:18 +0800

dde-file-manager (6.5.4) unstable; urgency=medium

  * fix some bugs
  * 

 -- zhangsheng <zhangsheng@uniontech.com>  Fri, 20 Sep 2024 18:01:05 +0800

dde-file-manager (6.5.3) unstable; urgency=medium

  * change version to 6.5.3

 -- liuyangming <liuyangming@uniontech.com>  Fri, 06 Sep 2024 18:52:01 +0800

dde-file-manager (6.5.2) unstable; urgency=medium

  * refactor daemon
  * 

 -- liuyangming <liuyangming@uniontech.com>  Thu, 05 Sep 2024 22:25:31 +0800

dde-file-manager (6.5.1) unstable; urgency=medium

  * update file manager version to V6.5.1
  * 

 -- liuyangming <liuyangming@uniontech.com>  Thu, 22 Aug 2024 13:33:50 +0800

dde-file-manager (6.5.0) unstable; urgency=medium

  * update file manager version to V6.5.0
  * 

 -- liuyangming <liuyangming@uniontech.com>  Thu, 15 Aug 2024 18:14:50 +0800

## dde-file-manager 6.5.10.5

=== debian/changelog ===
dde-file-manager (6.5.10.5) unstable; urgency=medium

  * Fix the problem of directory creation failure when samba mount.

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Mon, 07 Apr 2025 17:40:57 +0800

## dde-file-manager 6.5.10.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(filemanager)
set(CMAKE_CXX_STANDARD 17)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_CXX_FLAGS "")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wl,--as-needed")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all -Werror=return-type")

# options
option(OPT_DISABLE_QDEBUG "Disable Debug Macro" OFF)
option(OPT_ENABLE_BUILD_DOCS "Build develop documents" OFF)
option(OPT_ENABLE_BUILD_UT "Buld unit tests" ON)
option(OPT_ENABLE_QML "Use QML" OFF)
option(OPT_ENABLE_QT6 "Use Qt6" ON)


# if no debug, can't out in code define key '__FUNCTION__' and so on
add_definitions(-DQT_MESSAGELOGCONTEXT)
# TODO: control it by CI. (Automation Testing)
add_definitions(-DENABLE_TESTING)

# QML or QtWidget
if(OPT_ENABLE_QML)
    message(STATUS "Use QML")
    add_definitions(-DDFM_UI_TYPE_QML)
else()
    message(STATUS "Use QtWidget")
    add_definitions(-DDFM_UI_TYPE_QWIDGET)
endif()

# Qt5 or Qt6
set(DFM_BUILD_WITH_QT6 FALSE)
if(OPT_ENABLE_QT6 OR OPT_ENABLE_QML)
    find_package(Qt6 QUIET)
    if (Qt6_FOUND)
        message(STATUS "Found Qt6: ${Qt6_VERSION}")
        set(DFM_BUILD_WITH_QT6 TRUE)
        set(COMPLIE_ON_V23 TRUE)
        add_definitions(-DCOMPILE_ON_V23)    # TODO: remove it
        message("COMPILE ON v2X")
    endif()
endif()

if(NOT DFM_BUILD_WITH_QT6)
    message(WARNING "Qt6 not found, Use Qt5.")
    #Indentify the version
    find_package(DtkCMake REQUIRED)
    if(${DEEPIN_OS_VERSION} MATCHES "^(23|25)$")
        add_definitions(-DCOMPILE_ON_V23)
        set(COMPLIE_ON_V23 TRUE)
        message("COMPILE ON v2X")
    else()
        add_definitions(-DCOMPILE_ON_V20)
        set(COMPLIE_ON_V20 TRUE)
        message("COMPILE ON v20")
    endif()
endif()

set(DTK_VERSION_MAJOR "")

# check arch
if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "mips")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -z noexecstack -z relro")
    add_definitions(-DARCH_MIPSEL)
endif()

# CMake modules
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

if (OPT_ENABLE_QML)
    include(install_plugin_quick_module)
endif()
include(install_dconfig)
include(install_dbus_service)
include(GNUInstallDirs)
include(DFMInstallDirs)

# build type
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE "Release" CACHE STRING
      "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
endif(NOT CMAKE_BUILD_TYPE)
message("Build type:" ${CMAKE_BUILD_TYPE})

if (${CMAKE_BUILD_TYPE} STREQUAL "Debug")
    set(BUILD_TESTING ON)
else()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Ofast")
    # generate qm
    execute_process(COMMAND bash "translate_generation.sh"
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/src)
endif()
message(STATUS "CMAKE_CXX_FLAGS: ${CMAKE_CXX_FLAGS}")

# sub directories
add_subdirectory(src/apps)
add_subdirectory(src/dfm-base)
add_subdirectory(src/dfm-extension)
add_subdirectory(src/dfm-framework)
add_subdirectory(src/plugins)
add_subdirectory(src/external)
add_subdirectory(src/tools)
add_subdirectory(src/services)
if(OPT_ENABLE_QML)
    add_subdirectory(src/dfm-gui)
    add_subdirectory(src/dfm-declarative)
endif()

# docs
if(OPT_ENABLE_BUILD_DOCS)
    find_package(Doxygen)
    if (DOXYGEN_FOUND)
        add_subdirectory(docs)
    endif()
endif()

# test
if(OPT_ENABLE_BUILD_UT AND NOT OPT_ENABLE_QML AND NOT OPT_ENABLE_QT6)
    message(STATUS "Enable testing: ${BUILD_TESTING}")
    if(BUILD_TESTING)
        enable_testing()
        add_subdirectory(tests)
    endif()
endif()

=== examples/appletwindow/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(appletwindow)

add_executable(${PROJECT_NAME} main.cpp
    Panel.qml
    AppletItemEx.qml)

find_package(Qt6 REQUIRED COMPONENTS Core Gui Quick)

target_link_libraries(
    ${PROJECT_NAME}
    Qt6::Core
    Qt6::Gui
    Qt6::Quick
    DFM::framework
    DFM::gui)

file(GLOB_RECURSE QMLS CONFIGURE_DEPENDS
    "./*.qml"
)
EXECUTE_PROCESS(COMMAND cp -f ${QMLS} ${PROJECT_BINARY_DIR})

=== src/apps/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

add_definitions(-DDFM_ORGANIZATION_NAME="deepin")

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
#    set(CMAKE_VERBOSE_MAKEFILEON ON)
#    message("debug type open sanitize check")
#    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=undefined,address,leak -fno-omit-frame-pointer")
#    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=undefined,address,leak -fno-omit-frame-pointer")
#    set(CMAKE_L_FLAGS "${CMAKE_L_FLAGS} -fsanitize=undefined,address,leak -fno-omit-frame-pointer")
endif()

if(OPT_ENABLE_QML)
    add_subdirectory(dde-file-manager)
    # TODO: adapt others
else()
    add_subdirectory(dde-file-manager)
    add_subdirectory(dde-file-manager-daemon)
    add_subdirectory(dde-file-manager-preview)
    add_subdirectory(dde-file-dialog)
    add_subdirectory(dde-file-dialog-x11)
    add_subdirectory(dde-file-dialog-wayland)
    if(NOT DFM_BUILD_WITH_QT6)
        add_subdirectory(dde-desktop) # as a plugin of dde-shell in Qt6
    endif()
endif()

=== src/dfm-declarative/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# If do't define version number, specify the version number
set(VERSION "1.0.0" CACHE STRING "define project version")

set(BASE_NAME declarative)
set(BIN_NAME dfm-${BASE_NAME})

if(NOT VERSION)
    set(VERSION "1.0.0")
endif()

if(NOT PROJECT_VERSION_MAJOR)
    set(PROJECT_VERSION_MAJOR 1)
endif()

# signals and slots keyword is disable, use Q_SIGNALS and Q_SLOTS instead
add_compile_definitions(QT_NO_SIGNALS_SLOTS_KEYWORDS)

# add qrc resources
set(QRC_FILES)

if(DFM_BUILD_WITH_QT6)
    qt6_add_resources(QRC_RESOURCES ${QRC_FILES})
else()
    qt5_add_resources(QRC_RESOURCES ${QRC_FILES})
endif()

# add depends
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Quick REQUIRED)

# TODO：放到公共目录？
# 通过 Qt cmake 接口注册组件
qt_add_qml_module(${BIN_NAME}
    URI org.deepin.filemanager.${BASE_NAME}
    VERSION 1.0
    SHARED
    RESOURCE_PREFIX /
    OUTPUT_DIRECTORY ${DFM_BUILD_PLUGIN_DIR}/qml/org/deepin/filemanager/${BASE_NAME}
    QML_FILES ActionMenu.qml AnimationHSpliter.qml
)

target_include_directories(${BIN_NAME} PRIVATE ${PROJECT_SOURCE_DIR})
target_link_libraries(${BIN_NAME} PUBLIC Qt6::Core Qt6::Quick)

set_target_properties(${BIN_NAME} PROPERTIES
    VERSION ${VERSION}
    SOVERSION ${PROJECT_VERSION_MAJOR}
)

# install module
install(DIRECTORY ${DFM_BUILD_PLUGIN_DIR}/qml/org/deepin/filemanager/${BASE_NAME}
        DESTINATION ${DFM_QML_MODULE}/org/deepin/filemanager)

=== src/dfm-extension/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
set(CMAKE_AUTOMOC OFF)
set(CMAKE_AUTORCC OFF)
set(CMAKE_AUTOUIC OFF)

# If do't define version number, specify the version number
set (VERSION "1.0.0" CACHE STRING "define project version")

set(BIN_NAME dfm-extension)

file(GLOB_RECURSE INCLUDE_FILES CONFIGURE_DEPENDS "${PROJECT_SOURCE_DIR}/include/${BIN_NAME}/*")
file(GLOB_RECURSE SRCS CONFIGURE_DEPENDS
    "./*.h"
    "./*.cpp"
)

add_library(${BIN_NAME} SHARED
    ${INCLUDE_FILES}
    ${SRCS}
)

target_include_directories(${BIN_NAME} PUBLIC
    ${PROJECT_SOURCE_DIR}/include)

if (NOT VERSION)
    set(VERSION "1.0.0")
endif()

if (NOT PROJECT_VERSION_MAJOR)
    set(PROJECT_VERSION_MAJOR 1)
endif()

set_target_properties(${BIN_NAME} PROPERTIES
    VERSION ${VERSION}
    SOVERSION ${PROJECT_VERSION_MAJOR}
)

add_library(DFM::extension ALIAS ${BIN_NAME})

target_compile_definitions(${BIN_NAME} PRIVATE VERSION="${CMAKE_PROJECT_VERSION}")

# install dev
install(TARGETS ${BIN_NAME} LIBRARY DESTINATION ${LIB_INSTALL_DIR})
install(DIRECTORY
    ${PROJECT_SOURCE_DIR}/include/${BIN_NAME}
    DESTINATION include
    FILES_MATCHING PATTERN "*.h"
)

# config pkgconfig file
configure_file(${PROJECT_SOURCE_DIR}/assets/dev/${BIN_NAME}/${BIN_NAME}.pc.in ${BIN_NAME}.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BIN_NAME}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

# config cmake file
configure_file(${PROJECT_SOURCE_DIR}/assets/dev/${BIN_NAME}/${BIN_NAME}Config.cmake.in ${BIN_NAME}Config.cmake @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BIN_NAME}Config.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${BIN_NAME})

=== src/plugins/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# add sub dir for business plugins

if(OPT_ENABLE_QML)
    add_subdirectory(filemanager)
    # TODO: adapt others
else()
    add_subdirectory(desktop)
    add_subdirectory(common)
    add_subdirectory(filemanager)
    add_subdirectory(filedialog)
    add_subdirectory(daemon)
endif()

=== tests/dfm-extension/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# 定义可执行程序名称
set(BIN_NAME test-dfm-extension)

=== tests/dfm-framework/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(test-dfm-framework)

set(HeaderPath ${PROJECT_INCLUDE_PATH}/dfm-framework/)
set(SourcePath ${PROJECT_SOURCE_PATH}/dfm-framework/)
# UT文件
file(GLOB_RECURSE UT_CXX_FILE
    FILES_MATCHING PATTERN "*.cpp" "*.h")
# 源文件
file(GLOB_RECURSE HEADER_FILES
    FILES_MATCHING PATTERN "${HeaderPath}/event/*.h"
    "${HeaderPath}/lifecycle/*.h" "${HeaderPath}/listener/*.h" "${HeaderPath}/log/*.h")
file(GLOB_RECURSE SRC_FILES
    FILES_MATCHING PATTERN "${SourcePath}/event/*.cpp" "${SourcePath}/event/*.h"
     "${SourcePath}/lifecycle/*.cpp" "${SourcePath}/lifecycle/*.h"
     "${SourcePath}/listener/*.cpp" "${SourcePath}/listener/*.h"
     "${SourcePath}/log/*.h" "${SourcePath}/log/*.cpp")

find_package(Qt5 COMPONENTS Core REQUIRED)
find_package(Qt5 COMPONENTS Concurrent REQUIRED)
find_package(Dtk COMPONENTS Core REQUIRED)

add_executable(${PROJECT_NAME}
    ${HEADER_FILES}
    ${SRC_FILES}
    ${UT_CXX_FILE}
    ${CPP_STUB_SRC}
)

target_include_directories(${PROJECT_NAME} PUBLIC
    ${PROJECT_INCLUDE_PATH}
    ${SourcePath}
)

target_link_libraries(
    ${PROJECT_NAME} PRIVATE
    Qt5::Core
    Qt5::Concurrent
    ${DtkCore_LIBRARIES}
    ${CMAKE_DL_LIBS}
)

add_test(
  NAME dfm-framework
  COMMAND $<TARGET_FILE:${PROJECT_NAME}>
)

=== tests/external/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

add_subdirectory(dde-dock-plugins)

=== tests/tools/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

add_subdirectory(upgrade)

=== src/apps/dde-desktop/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(dde-desktop)

configure_file(
    "../config.h.in"
    "${CMAKE_CURRENT_BINARY_DIR}/config.h"
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(SRCS
    main.cpp
    desktopdbusinterface.cpp
    desktopdbusinterface.h
)

find_package(PkgConfig REQUIRED)
find_package(Qt5 COMPONENTS
    Widgets
    DBus
    REQUIRED)

find_package(Dtk COMPONENTS Widget REQUIRED)

add_executable(${PROJECT_NAME} ${SRCS})

target_include_directories(${PROJECT_NAME}
    PRIVATE
        ${CMAKE_CURRENT_BINARY_DIR}
)

target_link_libraries(
    ${PROJECT_NAME}
    DFM::base
    DFM::framework
    Qt5::Widgets
    Qt5::DBus
    ${DtkWidget_LIBRARIES}
)

install(TARGETS ${PROJECT_NAME} DESTINATION bin)

# dbus
install(FILES data/com.deepin.dde.desktop.service DESTINATION share/dbus-1/services)

# computer and trash
install(FILES data/applications/dfm-open.sh DESTINATION bin/)
install(FILES data/applications/dde-computer.desktop DESTINATION share/applications/)
install(FILES data/applications/dde-trash.desktop DESTINATION share/applications/)
install(FILES data/applications/dde-home.desktop DESTINATION share/applications/)
install(FILES data/applications/dde-desktop.desktop DESTINATION share/applications)

=== src/apps/dde-file-dialog-x11/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# Compatibility history issues, GTK check app name
project(dde-select-dialog-x11)

configure_file(
    "../config.h.in"
    "${CMAKE_CURRENT_BINARY_DIR}/config.h"
    )

set(SRCS
    main.cpp
)

find_package(Qt5 COMPONENTS Core)
add_executable(${PROJECT_NAME} ${SRCS})

target_link_libraries(
    ${PROJECT_NAME}
    DFM::base
    DFM::framework
)

install(TARGETS ${PROJECT_NAME} DESTINATION bin)
install(FILES data/com.deepin.filemanager.filedialog_x11.service DESTINATION share/dbus-1/services)

=== debian/changelog ===
dde-file-manager (6.5.10.6) unstable; urgency=medium

  * Fix prevent infinite loop in canDrop method of FileInfoPrivate

 -- Liu Yangming <liuyangming@uniontech.com>  Tue, 13 May 2025 09:58:11 +0800

=== debian/control ===
Source: dde-file-manager
Section: libdevel
Priority: optional
Maintainer: Deepin Packages Builder <packages@linuxdeepin.com>
Build-Depends:
 cmake,
 doxygen,
 debhelper (>=9),
 pkg-config,
 qtbase5-dev,
 qtbase5-private-dev,
 qtmultimedia5-dev,
 libffmpegthumbnailer-dev,
 libqt5svg5-dev,
 libpolkit-agent-1-dev, 
 libpolkit-qt5-1-dev,
 libdtkwidget-dev,
 libdtkgui-dev,
 libdtkcore-dev,
 libdtkcore5-bin,
 qttools5-dev-tools,
 qttools5-dev,
 dde-dock-dev (>=4.8.4.1),
 libdframeworkdbus-dev,
 libtag1-dev,
 libdmr-dev,
 libicu-dev,
 libxcb-ewmh-dev,
 libdeepin-pdfium-dev,
 libqt5xdg-dev,
 libgio-qt-dev,
 libdfm-io-dev,
 libdfm-mount-dev,
 libdfm-burn-dev,
 libssl-dev,
 libgtest-dev,
 libgmock-dev,
 libgsettings-qt-dev,
 liblucene++-dev,
 libdocparser-dev,
 libboost-filesystem-dev,
 libsecret-1-dev,
 libkf5codecs-dev,
 libpoppler-cpp-dev,
 libcryptsetup-dev,
 libpcre3-dev,
 libdde-shell-dev (>= 0.0.10),
 deepin-desktop-base | deepin-desktop-server | deepin-desktop-device,
 qt6-base-dev,
 qt6-base-private-dev,
 qt6-svg-dev,
 qt6-multimedia-dev,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 qt6-declarative-dev,
 qt6-5compat-dev,
 libdtk6widget-dev,
 libdtk6gui-dev,
 libdtk6core-dev,
 libdtk6core-bin,
 libdtk6declarative-dev,
 libdfm6-io-dev,
 libdfm6-mount-dev,
 libdfm6-burn-dev,
 libxcb-xfixes0-dev (>= 1.10~)
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: dde-desktop
Architecture: any
Depends: 
 ${shlibs:Depends}, 
 ${misc:Depends}, 
 libdde-file-manager (=${binary:Version}),
 dde-desktop-plugins (=${binary:Version}),
 libqt6sql6-sqlite,
 qt6-translations-l10n
Conflicts: dde-workspace (<< 2.90.5), dde-file-manager-oem
Replaces: dde-file-manager-oem, dde-file-manager (<< 6.0.1)
Recommends: qt5dxcb-plugin, deepin-screensaver, dcc-wallpapersetting-plugin
Description: deepin desktop-environment - desktop module
 Deepin Desktop Environment (DDE) - desktop module.

Package: dde-file-manager
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libdde-file-manager (=${binary:Version}),
 libgio-qt,
 libqt5xdg3,
 libqt5sql5-sqlite,
 socat,
 cryfs,
 dde-device-formatter,
 dde-file-manager-plugins (=${binary:Version}),
 dde-file-manager-daemon-plugins (=${binary:Version}),
 dde-file-manager-services-plugins (=${binary:Version}),
 dde-file-manager-common-plugins (=${binary:Version}),
 dde-file-manager-preview (=${binary:Version}),
 libblockdev-crypto2 | libblockdev-crypto3,
 qml6-module-qtquick-controls,
 qml6-module-qtquick-layouts,
 qml6-module-qtquick-window
Replaces: dde-file-manager-oem, dde-desktop (<< 6.0.1), libdde-file-manager
Recommends: dde-qt5integration, avfs, samba, deepin-anything-server
Description: File manager front end
 File manager front-end of Deepin OS

Package: libdde-file-manager
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libpoppler-cpp0v5 (>= 0.48.0),
 gvfs-backends (>=1.27.3),
 cryptsetup,
 libdfm-extension (=${binary:Version})
Multi-Arch: same
Description: DDE File Manager core librarys
 This package contains the shared libraries.

Package: dde-desktop-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: deepin desktop-environment - desktop edge plugins module
 Deepin Desktop Environment (DDE) - desktop edge plugins module.

Package: dde-file-manager-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cryfs
Description: deepin desktop-environment - filemanager edge plugins module
 Deepin Desktop Environment (DDE) - filemanager edge plugins module.

Package: dde-file-manager-common-plugins
Architecture: any
Depends: 
 ${shlibs:Depends}, 
 ${misc:Depends}
Description: deepin desktop-environment - filemanager common edge plugins module
 Deepin Desktop Environment (DDE) - filemanager common edge plugins module.

Package: dde-file-manager-daemon-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflics: dde-file-manager-server-plugins
Description: deepin desktop-environment - daemon edge plugins module
 Deepin Desktop Environment (DDE) - daemon edge plugins module.

Package: dde-file-manager-services-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: deepin desktop-environment - services edge plugins module
 Deepin Desktop Environment (DDE) - services edge plugins module.
 
Package: dde-file-manager-preview
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: dde-file-manager-preview-plugins
Description: deepin desktop-environment - filemanager preview module
 Deepin Desktop Environment (DDE) - filemanager preview edge module.

Package: dde-disk-mount-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: plugin of dde-dock
 Disk mount plugin of dde-dock which is created by dde-file-manager

Package: libdfm-extension
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: extension library of dde-file-manager
 Extension library of dde-file-manager which is provided for third parties

Package: libdfm-extension-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdfm-extension (=${binary:Version})
Description: Development package for libdfm-extension
 This package contains the header files and pkgconfig
 of libdfm-extension

Package: dde-file-manager-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dde-file-manager (=${binary:Version}),
 libdfm-io-dev, libdfm-mount-dev, libdfm-burn-dev
Description: DDE File Manager Devel library
 This package contains the header files and static libraries
 of dde-file-manager

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5
include /usr/share/dpkg/default.mk

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_OPTIONS=nocheck

SYSTYPE = $(shell cat /usr/lib/deepin/desktop-version | grep Type= | awk -F'=' '{print $$2}')

%:
	dh $@ --parallel

override_dh_shlibdeps:
	dh_shlibdeps -l$(shell pwd)/debian/dde-sharefiles/usr/share/dde-file-manager/sharefiles/lib

override_dh_auto_configure:
	dh_auto_configure -- \
        -DCMAKE_INSTALL_PREFIX=/usr \
	-DCMAKE_BUILD_TYPE=Release \
	-DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	dh_auto_build -- -j8
